Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003073Zandronum[All Projects] Bugpublic2017-04-18 01:582017-04-28 05:56
ReporterNinjamander 
Assigned ToTorr Samaho 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003073: 3.0-alpha-r170416-0710 broke exit portal broken in super skulltag
Descriptionmods (required skulltag actor and data)

sst_v1.4rc7_fixed_norecoil_volafix.pk3
sst_v1.4rc7.pk7

is impossible to exit on map sstmap34 on 3.0-alpha-r170416-0710 (was working on 3.0-alpha-r170205-2117)
Steps To Reproducego into the console and type: changemap sstmap34

enable godmod and give yourself all key, take the elevator down and take the door on the left that required the key (that you cheat for faster reproduction)

Kill the monster in the room until the path is open, enter the portal, usually you should exit the map by doing so but is not working in this version.
Additional InformationI am sorry if I am unable to provide more info, I admit I am still a newbie and I am not the person with the most technical experience, I apologize but I feel this bug was important
Attached Files? file icon exitBug.wad [^] (2,984 bytes) 2017-04-23 13:08

- Relationships

-  Notes
User avatar (0017199)
Torr Samaho (administrator)
2017-04-18 19:17

I didn't find sst_v1.4rc7.pk7, only sst_v1.4rc7_fixed_norecoil_volafix.pk3. With that file, I can't exit sstmap34 with neither 170205-2117 nor 170416-0710, 2.1.2 seems to work fine though.

Can you double check that this works in 170205-2117 for you if you use exactly the same configuration you used with 170416-0710? If it does not work in 170205-2117, can you go back through the old 3.0 beta builds and find the last version were it worked?
User avatar (0017209)
Ninjamander (reporter)
2017-04-19 01:19

the file are basicly the same I think with minor difference, anyway :
http://allfearthesentinel.net/download?file=sst_v1.4rc7.pk7 [^]

Also my bad, seem to be broken on zandro 0710 apparently. Do work with zando 2.1.2

Interestingly, it don't seem to work on zando 150819-2351 either (GZDoom 1.8.6 I think?)
What would be the equivalent of zando 2.1.2 in gzdoom or zdoom?
User avatar (0017214)
Torr Samaho (administrator)
2017-04-19 06:13

Zandronum 2.1.2 is based on GZDoom SVN revision 900.

Can somebody make a minimal example wad that is compatible with GZDoom 1.8.6?
User avatar (0017220)
Ninjamander (reporter)
2017-04-19 19:08
edited on: 2017-04-19 19:10

just some quick observation (I don't think I can't help to create a minimal example sadly)

http://www.mediafire.com/file/yx8pfdcl09dvo2i/maps.wad [^]

I basically extract the maps and put it into a wad, this is not pretty (mostly since I am still a newbie and learning a little how mods work) but I was able to grab the maps and run it on gzdoom 1.8.6, 1.8.02 and for fun. Result? Unable to exit the level.

After I test the same file in zandro to check if what I did was just simply broken and at my surprise, I was able to exit the level in zandronum 2.1.2 and evens skulltag st-v098d that I test for fun.

Consider how the mod is call (super skulltag and yes is a old one) I assume the method they use to exit the level only work in skulltag/zandronium, meaning this might be a bug/change that break some backward compatibility that was done in zandro 3.0

I could also be way off, I admit I am not even a programmer and my knowledge is rather limited. The way I see it as is, it seem to be a backward compatibility bug related zandronum itself that might only be usefull for legacy/old mod. They is also the possibility that the problem is the mod itself that use a odd/weird method, I wish I could dig deeper but I don't have the skill/knowledge to do it myself.

User avatar (0017221)
Torr Samaho (administrator)
2017-04-19 19:23

Thanks! With your reduced wad, I also tested this in GZDoom 2.4.0 and exiting didn't work there either. So either this is a (G)ZDoom bug or the map relied on some undefined behavior that was changed in (G)ZDoom.

Can somebody further reduce the example wad, i.e. remove all rooms and things expect for the one with the exit and fix the missing textures? With such a wad, we can bring up the issue at the GZDoom tracker.
User avatar (0017272)
Torr Samaho (administrator)
2017-04-23 13:10

I went ahead and reduced this to a minimal example, i.e. exitBug.wad. It works in ZDoom 2.5.0, but doesn't work in GZDoom 2.4.0. Can somebody report this behavior change at the GZDoom tracker?
User avatar (0017276)
Ninjamander (reporter)
2017-04-23 13:42

I can try to do that if you want. Would it be possible for you to upload your minimal example exitbug.wad?
User avatar (0017278)
Torr Samaho (administrator)
2017-04-23 14:41

I already attached the example wad to the ticket before leaving the note. Just check the ticket details above. You'll find the file under "Attached Files".
User avatar (0017284)
Ninjamander (reporter)
2017-04-23 17:19
edited on: 2017-04-23 17:20

oups, I appologise for that. Anyway, I submit a ticket here :https://mantis.zdoom.org/view.php?id=622 [^]

I assume this ticket can be close now, thanks for everything

User avatar (0017286)
Torr Samaho (administrator)
2017-04-23 19:35

Thanks for making the ticket! I just activated the compat flag that was brought up in the ticket for sstmap34 in 3.0. So this should be resolved now.
User avatar (0017287)
Ninjamander (reporter)
2017-04-23 19:42

Thanks! Wonderful work as always! Feel free to change this ticket tittle to remove some confusion if you want
User avatar (0017328)
Combinebobnt (reporter)
2017-04-25 22:35

r170423

I could exit sstmap34

couldn't exit the minimal example wad
User avatar (0017338)
Torr Samaho (administrator)
2017-04-26 06:25

Thanks for testing! That's the correct behavior. I only activated the compatibility handling for sstmap34, since it relies on legacy behavior that new maps are supposed not to use anymore.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-04-18 01:58 Ninjamander New Issue
2017-04-18 19:17 Torr Samaho Note Added: 0017199
2017-04-18 19:18 Torr Samaho Assigned To => Torr Samaho
2017-04-18 19:18 Torr Samaho Status new => feedback
2017-04-18 19:18 Torr Samaho Target Version => 3.0
2017-04-19 01:19 Ninjamander Note Added: 0017209
2017-04-19 01:19 Ninjamander Status feedback => assigned
2017-04-19 06:13 Torr Samaho Note Added: 0017214
2017-04-19 06:14 Torr Samaho Status assigned => feedback
2017-04-19 19:08 Ninjamander Note Added: 0017220
2017-04-19 19:08 Ninjamander Status feedback => assigned
2017-04-19 19:10 Ninjamander Note Edited: 0017220 View Revisions
2017-04-19 19:10 Ninjamander Note Edited: 0017220 View Revisions
2017-04-19 19:23 Torr Samaho Note Added: 0017221
2017-04-23 10:24 Torr Samaho Status assigned => feedback
2017-04-23 13:08 Torr Samaho File Added: exitBug.wad
2017-04-23 13:10 Torr Samaho Note Added: 0017272
2017-04-23 13:42 Ninjamander Note Added: 0017276
2017-04-23 13:42 Ninjamander Status feedback => assigned
2017-04-23 14:41 Torr Samaho Note Added: 0017278
2017-04-23 14:41 Torr Samaho Status assigned => feedback
2017-04-23 17:19 Ninjamander Note Added: 0017284
2017-04-23 17:19 Ninjamander Status feedback => assigned
2017-04-23 17:20 Ninjamander Note Edited: 0017284 View Revisions
2017-04-23 19:35 Torr Samaho Note Added: 0017286
2017-04-23 19:40 Torr Samaho Status assigned => needs testing
2017-04-23 19:42 Ninjamander Note Added: 0017287
2017-04-25 22:35 Combinebobnt Note Added: 0017328
2017-04-26 06:25 Torr Samaho Note Added: 0017338
2017-04-26 23:08 Ru5tK1ng Status needs testing => resolved
2017-04-26 23:08 Ru5tK1ng Resolution open => fixed
2017-04-26 23:08 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker